Name:          libglade2
Version:       2.6.4
Release:       22
Summary:       Glade Library Compatible with the GNOME 2.x Desktop Platform
License:       LGPLv2+
URL:           http://www.gnome.org
Source:        http://download.gnome.org/sources/libglade/2.6/libglade-%{version}.tar.bz2

Requires:      xml-common

BuildRequires: libxml2-devel gtk2-devel  fontconfig pango-devel libtool gettext-devel
Patch1:        libglade-2.0.1-nowarning.patch
Patch2:        libglade-secondary.patch

%description
This library allows you to load Glade interface files in a program at
runtime. It does not require that you use Glade, but Glade is the
easiest way to create the interface files.  For an idea of how to use
the library, see the documentation, especially %{_docdir}/libglade/test-libgladee.c 
and the glade-xml.h include, which is in the libglade package.

%package       devel
Summary:       Header files and development Files for %{name}
Requires:      %{name} = %{version}-%{release}

%description   devel
This package contains header files and development Files for for %{name}.

%package_help

%prep
%autosetup -n libglade-%{version} -p1

%build
%configure  --disable-gtk-doc 
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/libglade/2.0
%make_install
%delete_la

%check
make check

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/xml/libglade/*
%dir %{_libdir}/libglade/2.0
%{_libdir}/libglade-2.0.so.*

%files devel
%defattr(-,root,root)
%doc test-libglade.c
%{_includedir}/libglade-2.0/glade/*.h
%exclude %{_bindir}/libglade-convert
%{_libdir}/libglade-2.0.so
%{_libdir}/pkgconfig/libglade-2.0.pc
%{_libdir}/*.a
#%{_libdir}/*.so.*

%files help
%doc NEWS README
%{_datadir}/gtk-doc/html/*

%changelog
* Wed Feb 24 2021 Wenlong Ding <wenlong.ding@turbolinux.com.cn> - 2.6.4-22
- Remove /usr/lib64/libglade-2.0.so.* from libglade2-devel package which already exists in libglade2 package.

* Sat Feb 22 2020 zhangrui <zhangrui182@huawei.com> - 2.6.4-21
- exclude unnecessary file

* Sat Aug 24 2019 sunyun <sunyun9@huawei.com> - 2.6.4-20
- Package init

